ModelSell 文档
音频与其他Suno

Suno 批量查询任务

POST
/suno/fetch

按 Suno 任务 ID 列表批量查询音乐任务。适合客户端保存多个任务 ID 后一次性刷新状态。

Authorization

bearerAuth
AuthorizationBearer <token>

使用 Authorization Bearer API Key 进行鉴权。

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/suno/fetch" \  -H "Content-Type: application/json" \  -d '{    "ids": [      "task_J5dF6JHsvDJmJ5VfsszWb0jJVnWNehWH",      "task_prwqSCxldgwbOmbdvW1oDzkE1chE7bKm"    ],    "action": "MUSIC"  }'
{
  "code": "success",
  "message": "",
  "data": [
    {
      "task_id": "c47ec1cf-7e79-4e61-b9fb-2ca2ac36e57b",
      "platform": "suno",
      "action": "MUSIC",
      "status": "SUCCESS",
      "progress": "100%",
      "fail_reason": "string",
      "submit_time": 0,
      "start_time": 0,
      "finish_time": 0,
      "data": [
        {
          "id": "90f72668-ba0d-4fa7-95e6-f71bebda88b7",
          "audio_url": "http://example.com",
          "image_url": "http://example.com",
          "image_large_url": "http://example.com",
          "video_url": "http://example.com",
          "title": "雾里那扇门",
          "text": "[Instrumental]",
          "status": "string",
          "major_model_version": "string",
          "model_name": "string",
          "metadata": {
            "tags": "string",
            "prompt": "string",
            "gpt_description_prompt": "string",
            "audio_prompt_id": "string",
            "duration": 0,
            "error_type": "string",
            "error_message": "string"
          }
        }
      ]
    }
  ]
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}